API Reference

Report Builder

8 endpoints· Auth: JWT or API Key
get/api/v1/console/report-builder/datasets JWT API Key

Get datasets

Responses

200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/report-builder/datasets" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com
Set credentials in the “Authorize” menu
post/api/v1/console/report-builder/preview JWT API Key

Create preview

Request body

application/json
{
  "dataset": "string",
  "columns": [
    "string"
  ],
  "groupBy": [
    "string"
  ],
  "aggregates": [
    {
      "field": "string",
      "fn": "string"
    }
  ],
  "filters": [
    {
      "field": "string",
      "op": "string",
      "value": "string",
      "values": [
        "string"
      ]
    }
  ],
  "sort": [
    {
      "field": "string",
      "dir": "string"
    }
  ],
  "limit": 0,
  "preset": "string",
  "from": "2026-09-30",
  "to": "2026-09-30",
  "branchIds": [
    "00000000-0000-0000-0000-000000000000"
  ]
}
dataset
string
—
columns
string[]
—
groupBy
string[]
—
aggregates
CustomReportAggregate[]
—
filters
CustomReportFilter[]
—
sort
CustomReportSort[]
—
limit
integer (int32)
—
preset
string
—
from
string (date)
—
to
string (date)
—
branchIds
string (uuid)[]
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/report-builder/preview" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "dataset": "string",
  "columns": [
    "string"
  ],
  "groupBy": [
    "string"
  ],
  "aggregates": [
    {
      "field": "string",
      "fn": "string"
    }
  ],
  "filters": [
    {
      "field": "string",
      "op": "string",
      "value": "string",
      "values": [
        "string"
      ]
    }
  ],
  "sort": [
    {
      "field": "string",
      "dir": "string"
    }
  ],
  "limit": 0,
  "preset": "string",
  "from": "2026-09-30",
  "to": "2026-09-30",
  "branchIds": [
    "00000000-0000-0000-0000-000000000000"
  ]
}'
Try itagainst staging · https://staging-api.panoptesos.com

Request body (JSON)

Set credentials in the “Authorize” menu
get/api/v1/console/report-builder/reports JWT API Key

Get reports

Query parameters

Scope
string
—
Dataset
string
—
Page
integer (int32)
—
PerPage
integer (int32)
—
Search
string
—
Skip
integer (int32)
—
Sort
string
—
Dir
string
—

Responses

200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/report-builder/reports" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Query parameters

Set credentials in the “Authorize” menu
post/api/v1/console/report-builder/reports JWT API Key

Create reports

Request body

application/json
{
  "name": "string",
  "description": "string",
  "shared": false,
  "query": {
    "dataset": "string",
    "columns": [
      "string"
    ],
    "groupBy": [
      "string"
    ],
    "aggregates": [
      {
        "field": null,
        "fn": null
      }
    ],
    "filters": [
      {
        "field": null,
        "op": null,
        "value": null,
        "values": null
      }
    ],
    "sort": [
      {
        "field": null,
        "dir": null
      }
    ],
    "limit": 0,
    "preset": "string",
    "from": "2026-09-30",
    "to": "2026-09-30",
    "branchIds": [
      "00000000-0000-0000-0000-000000000000"
    ]
  }
}
name
string
—
description
string
—
shared
boolean
—
query
CustomReportQuery
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/report-builder/reports" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "name": "string",
  "description": "string",
  "shared": false,
  "query": {
    "dataset": "string",
    "columns": [
      "string"
    ],
    "groupBy": [
      "string"
    ],
    "aggregates": [
      {
        "field": null,
        "fn": null
      }
    ],
    "filters": [
      {
        "field": null,
        "op": null,
        "value": null,
        "values": null
      }
    ],
    "sort": [
      {
        "field": null,
        "dir": null
      }
    ],
    "limit": 0,
    "preset": "string",
    "from": "2026-09-30",
    "to": "2026-09-30",
    "branchIds": [
      "00000000-0000-0000-0000-000000000000"
    ]
  }
}'
Try itagainst staging · https://staging-api.panoptesos.com

Request body (JSON)

Set credentials in the “Authorize” menu
get/api/v1/console/report-builder/reports/{id} JWT API Key

Get id

Path parameters

idrequired
string (uuid)
—

Responses

200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/report-builder/reports/{id}" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Set credentials in the “Authorize” menu
put/api/v1/console/report-builder/reports/{id} JWT API Key

Update id

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "name": "string",
  "description": "string",
  "shared": false,
  "query": {
    "dataset": "string",
    "columns": [
      "string"
    ],
    "groupBy": [
      "string"
    ],
    "aggregates": [
      {
        "field": null,
        "fn": null
      }
    ],
    "filters": [
      {
        "field": null,
        "op": null,
        "value": null,
        "values": null
      }
    ],
    "sort": [
      {
        "field": null,
        "dir": null
      }
    ],
    "limit": 0,
    "preset": "string",
    "from": "2026-09-30",
    "to": "2026-09-30",
    "branchIds": [
      "00000000-0000-0000-0000-000000000000"
    ]
  }
}
name
string
—
description
string
—
shared
boolean
—
query
CustomReportQuery
—

Responses

200Success
cURL
curl -X PUT "https://staging-api.panoptesos.com/api/v1/console/report-builder/reports/{id}" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "name": "string",
  "description": "string",
  "shared": false,
  "query": {
    "dataset": "string",
    "columns": [
      "string"
    ],
    "groupBy": [
      "string"
    ],
    "aggregates": [
      {
        "field": null,
        "fn": null
      }
    ],
    "filters": [
      {
        "field": null,
        "op": null,
        "value": null,
        "values": null
      }
    ],
    "sort": [
      {
        "field": null,
        "dir": null
      }
    ],
    "limit": 0,
    "preset": "string",
    "from": "2026-09-30",
    "to": "2026-09-30",
    "branchIds": [
      "00000000-0000-0000-0000-000000000000"
    ]
  }
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
delete/api/v1/console/report-builder/reports/{id} JWT API Key

Delete id

Path parameters

idrequired
string (uuid)
—

Query parameters

Reason
string
—

Responses

200Success
cURL
curl -X DELETE "https://staging-api.panoptesos.com/api/v1/console/report-builder/reports/{id}" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Query parameters

Set credentials in the “Authorize” menu
get/api/v1/console/report-builder/reports/{id}/run JWT API Key

Get run

Path parameters

idrequired
string (uuid)
—

Query parameters

Preset
string
—
From
string (date)
—
To
string (date)
—

Responses

200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/report-builder/reports/{id}/run" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Query parameters

Set credentials in the “Authorize” menu